Package in.cdac.medinfo.csnotk.csnolib.ecl.constraint

## Class SEclAttribute

- java.lang.Object
- - org.snomed.langauges.ecl.domain.refinement.EclAttribute
  - - in.cdac.medinfo.csnotk.csnolib.ecl.constraint.SEclAttribute

- All Implemented Interfaces:
    `SConstraint`, `org.snomed.langauges.ecl.domain.refinement.Refinement`

      public class SEclAttribute
      extends org.snomed.langauges.ecl.domain.refinement.EclAttribute
      implements SConstraint

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SEclAttribute()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Set<Concept>` | `addQuery()` |
    `java.util.Set<java.lang.String>` | `getConceptIds()` |
    `boolean` | `isConcreteValueQuery()` |
    `static org.apache.lucene.search.TermInSetQuery` | `termsQueryFromConcepts​(java.lang.String fieldName, java.util.Set<Concept> values)` |

    - ### Methods inherited from class org.snomed.langauges.ecl.domain.refinement.EclAttribute

      `getAttributeName, getBooleanComparisonOperator, getBooleanValue, getCardinalityMax, getCardinalityMin, getExpressionComparisonOperator, getNumericComparisonOperator, getNumericValue, getParentGroup, getStringComparisonOperator, getStringValues, getValue, isReverse, reverse, setAttributeName, setBooleanComparisonOperator, setBooleanValue, setCardinalityMax, setCardinalityMin, setExpressionComparisonOperator, setNumericComparisonOperator, setNumericValue, setParentGroup, setStringComparisonOperator, setStringValues, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SEclAttribute

          public SEclAttribute()

  - ### Method Detail

    - #### addQuery

          public java.util.Set<Concept> addQuery()

      Specified by:
        `addQuery` in interface `SConstraint`

    - #### termsQueryFromConcepts

          public static org.apache.lucene.search.TermInSetQuery termsQueryFromConcepts​(java.lang.String fieldName,
                                                                                       java.util.Set<Concept> values)

    - #### isConcreteValueQuery

          public boolean isConcreteValueQuery()

    - #### getConceptIds

          public java.util.Set<java.lang.String> getConceptIds()

      Specified by:
        `getConceptIds` in interface `SConstraint`